org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddVertexTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddVertexTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddVertexTest.Traversals

- Enclosing class:
    AddVertexTest

      public static class AddVertexTest.Traversals
      extends AddVertexTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddVertexTest

      `AddVertexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Vertex>` | `get_g_addV_propertyXlabel_personX()`
    `Traversal<Vertex,Vertex>` | `get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()`
    `Traversal<Vertex,Vertex>` | `get_g_addVXnullX_propertyXid_nullX()`
    `Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXname_stephenX()`
    `Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()`
    `Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()`
    `Traversal<Vertex,String>` | `get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()`
    `Traversal<Vertex,Vertex>` | `get_g_V_addVXanimalX_propertyXage_0X()`
    `Traversal<Vertex,Vertex>` | `get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXpersonX_propertyXname_nullX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()`
    `Traversal<Vertex,String>` | `get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()`
    `Traversal<Vertex,Map<Object,List<String>>>` | `get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddVertexTest

      `g_addV_propertyXlabel_personX, g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X, g_addVXnullX_propertyXid_nullX, g_addVXpersonX_propertyXname_stephenX, g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X, g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX, g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label, g_V_addVXanimalX_propertyXage_0X, g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX, g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX, g_V_hasLabelXpersonX_propertyXname_nullX, g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX, g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX, g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name, g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name, g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX

          public Traversal<Vertex,Vertex> get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX(Object v1Id)

      Specified by:
        `get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX` in class `AddVertexTest`

    - #### get_g_V_addVXanimalX_propertyXage_0X

          public Traversal<Vertex,Vertex> get_g_V_addVXanimalX_propertyXage_0X()

      Specified by:
        `get_g_V_addVXanimalX_propertyXage_0X` in class `AddVertexTest`

    - #### get_g_addVXpersonX_propertyXname_stephenX

          public Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXname_stephenX()

      Specified by:
        `get_g_addVXpersonX_propertyXname_stephenX` in class `AddVertexTest`

    - #### get_g_V_hasLabelXpersonX_propertyXname_nullX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXpersonX_propertyXname_nullX()

      Specified by:
        `get_g_V_hasLabelXpersonX_propertyXname_nullX` in class `AddVertexTest`

    - #### get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX

          public Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()

      Specified by:
        `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX` in class `AddVertexTest`

    - #### get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X

          public Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()

      Specified by:
        `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X` in class `AddVertexTest`

    - #### get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()

      Specified by:
        `get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX` in class `AddVertexTest`

    - #### get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X

          public Traversal<Vertex,Vertex> get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()

      Specified by:
        `get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X` in class `AddVertexTest`

    - #### get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX

          public Traversal<Vertex,Vertex> get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()

      Specified by:
        `get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX` in class `AddVertexTest`

    - #### get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX

          public Traversal<Vertex,Map<Object,List<String>>> get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()

      Specified by:
        `get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX` in class `AddVertexTest`

    - #### get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name

          public Traversal<Vertex,String> get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()

      Specified by:
        `get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name` in class `AddVertexTest`

    - #### get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name

          public Traversal<Vertex,String> get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()

      Specified by:
        `get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name` in class `AddVertexTest`

    - #### get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label

          public Traversal<Vertex,String> get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()

      Specified by:
        `get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label` in class `AddVertexTest`

    - #### get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()

      Specified by:
        `get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX` in class `AddVertexTest`

    - #### get_g_addVXnullX_propertyXid_nullX

          public Traversal<Vertex,Vertex> get_g_addVXnullX_propertyXid_nullX()

      Specified by:
        `get_g_addVXnullX_propertyXid_nullX` in class `AddVertexTest`

    - #### get_g_addV_propertyXlabel_personX

          public Traversal<Vertex,Vertex> get_g_addV_propertyXlabel_personX()

      Specified by:
        `get_g_addV_propertyXlabel_personX` in class `AddVertexTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.